Skip to main content
GET
/
trails
/
{org}
/
{flow_name}
/
{trail_name}
Get trail
curl --request GET \
  --url https://app.kosli.com/api/v2/trails/{org}/{flow_name}/{trail_name} \
  --header 'Authorization: Bearer <token>'
{
  "name": "<string>",
  "last_modified_at": 123,
  "created_at": 123,
  "compliance_status": {
    "status": "INCOMPLETE",
    "is_compliant": true,
    "attestations_statuses": [
      {
        "attestation_name": "<string>",
        "attestation_type": "<string>",
        "attestation_id": "<string>",
        "overridden_attestation_id": "<string>",
        "status": "MISSING",
        "is_compliant": true,
        "unexpected": false
      }
    ],
    "artifacts_statuses": {},
    "evaluated_at": 123,
    "flow_template_id": "<string>"
  },
  "template": {
    "trail": {
      "attestations": [
        {
          "name": "<string>",
          "type": "<string>"
        }
      ],
      "artifacts": [
        {
          "name": "<string>",
          "attestations": [
            {
              "name": "<string>",
              "type": "<string>"
            }
          ]
        }
      ]
    },
    "version": 1,
    "content": "<string>"
  },
  "compliance_state": "INCOMPLETE",
  "is_compliant": true,
  "created_by": "<string>",
  "flow": {
    "name": "<string>",
    "tags": {}
  },
  "html_url": "<string>",
  "description": "<string>",
  "git_commit_info": {
    "sha1": "<string>",
    "message": "<string>",
    "author": "<string>",
    "branch": "<string>",
    "timestamp": 123
  },
  "origin_url": "<string>",
  "user_data": {},
  "repo_ids": [
    "<string>"
  ],
  "events": [
    {}
  ],
  "external_urls": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

flow_name
string
required
trail_name
string
required
org
string
required

Response

200 - application/json

Successful Response

Response model for getting a Trail.

This represents the full trail data returned by the get_trail endpoint.

name
string
required

Name of the trail

last_modified_at
number
required

Timestamp when the trail was last modified

created_at
number
required

Timestamp when the trail was created

compliance_status
TrailComplianceStatus · object
required

Compliance status of the trail

template
Template · object
required

Flow template associated with the trail

compliance_state
enum<string>
required

Overall compliance state of the trail

Available options:
INCOMPLETE,
COMPLIANT,
NON-COMPLIANT
is_compliant
boolean
required

Whether the trail is compliant

created_by
string
required

Display name of the user who created the trail

flow
FlowInfo · object
required

Information about the flow containing this trail

html_url
string
required

URL of the trail's web page

description
string | null

Description of the trail

git_commit_info
GitCommitInfo · object

Git commit information for the trail

origin_url
string | null

Origin URL where the trail was reported from

user_data

User-defined data attached to the trail

repo_ids
string[]

List of repository IDs associated with the trail

events
Events · object[]

List of events that occurred on the trail

external_urls
External Urls · object

External URLs associated with the trail

Last modified on April 9, 2026